
Figure - Bug #115072
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111051 (New): AF-V2.0-Launcher/SystemUI-通知中心

【AF】【EVT2】【通知中心&控制中心】把系统字体调至最大后，通知中心和控制中心中的部分文言显示不
全
2023-01-04 16:12 - CD Test赵飞

Status: CLOSED Start date: 2023-01-04

Priority: Normal Due date: 2023-02-10

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301040309

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-02-14

Test Type: ST Root cause: 编码问题

Description

【前提条件】

1、设备已开机

2、系统字体设置为最大

【测试步骤】

1、打开通知中心和控制中心

【预期结果】

1、通知中心和控制中心中的文言显示正常

【实际结果】

通知中心和控制中心中的部分文言显示不全，详情见截图

History

#1 - 2023-01-05 14:36 - CD FW 曹覃刚

由于控件尺寸是固定的，所以导致了此问题

修改方案，需要跟需求及UI讨论，优先级降低

#2 - 2023-01-05 15:12 - CDTS-TEST 周婷

- Target version deleted (VX1_MCE_FSE_C sample_20230113)

#3 - 2023-01-11 17:15 - CD FW 曹覃刚

- Due date set to 2023-02-10

- Status changed from New to ASSIGNED

需要UI同学提供方案，时间暂定年后02/10

#4 - 2023-02-10 09:38 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD APP-王宏
#5 - 2023-02-10 15:00 - CD APP-王宏

- % Done changed from 0 to 30

■ Current conclusion

已提交

■ My analysis

文字展示不全，主要是因为写死了宽度，将宽度改为自适应，并注意设置最小宽度。

文字控件被截取主要是位置未居中。设置center可解决

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/180855

#6 - 2023-02-13 09:44 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD Test赵飞

- % Done changed from 30 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-13

- Root cause set to 编码问题

■ Current conclusion

已入库，待测试同事验证

■ My analysis

文字展示不全，主要是因为写死了宽度，并且设定了固定的padding,又因为需求要求控件大小不能改变，所以我们采用自定义控件的形式来自适

应padding

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/180855

#7 - 2023-02-13 09:50 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

180855 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

FW:SystemUI:UI adaptation when the text becomes largerTC-RID: 1201-0201903IssueID: TS-R-BUG-115072Change-Id:

I55a7eeab0e400220bf1351aa2b185bc2a981c848

#8 - 2023-02-13 09:50 - CD APP-王宏

- Fixed Version changed from 2023-02-13 to 2023-02-14

#9 - 2023-02-13 11:25 - CD APP-王宏

- Status changed from RESOLVED to ASSIGNED

- Assignee changed from CD Test赵飞 to CD APP-王宏

- % Done changed from 100 to 70

#10 - 2023-02-13 11:28 - CD APP-王宏
■ Current conclusion

已提交

■ My analysis

通知栏文字在系统文字调到最大展示不全，高度设置为包裹内容，即可解决

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/181193

#11 - 2023-02-13 17:52 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

181193 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Notification:UI adaptation, incomplete title displayTC-RID: 1201-0201902IssueID: TS-R-BUG-115072Change-Id:

Iba2bc1a67794e5c2c9a0b2970f800d7c6c820b51

#12 - 2023-02-13 17:53 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD Test赵飞

- % Done changed from 70 to 100

#13 - 2023-02-14 12:08 - CD Test赵飞

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0074.X101

验证结果：PASS

#14 - 2023-02-14 12:09 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

#15 - 2023-02-14 12:09 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

Files

screenshot01.png 438 KB 2023-01-04 CD Test赵飞

screenshot02.png 334 KB 2023-01-04 CD Test赵飞
